Summary:	Demos for Mesa (OpenGL compatible 3D lib)
Name:		mesa-demos
Version:	8.3.0
Release:	3
License:	MIT
Group:		Graphics
Url:		http://www.mesa3d.org
Source0:	ftp://ftp.freedesktop.org/pub/mesa/demos/%{version}/%{name}-%{version}.tar.bz2
Source4:	Mesa-icons.tar.bz2
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
# Not essential, but builds more demos:
BuildRequires:	pkgconfig(glut)
Requires:	glxinfo = %{version}

%description
Mesa is an OpenGL-compatible 3D graphics library.

This package contains some demo programs for the Mesa library.

%files
%{_bindir}/*
%exclude %{_bindir}/glxinfo
%exclude %{_bindir}/glinfo
%dir %{_datadir}/%{name}
%{_miconsdir}/*demos*.png
%{_iconsdir}/*demos*.png
%{_liconsdir}/*demos*.png
%{_datadir}/%{name}/*

#----------------------------------------------------------------------------

%package -n glxinfo
Summary:	Commandline GLX information tool
Group:		Graphics
Conflicts:	mesa-demos < 7.7-4

%description -n glxinfo
Mesa is an OpenGL-compatible 3D graphics library.

This package contains the glinfo & glxinfo GLX information utility.

%files -n glxinfo
%{_bindir}/glxinfo
%{_bindir}/glinfo

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

perl -pi -e "s|\.\./images/|%{_datadir}/mesa-demos/|" src/*/*.c
perl -pi -e "s,\"(.*?)\.(dat|vert|geom|frag)\",\"%{_datadir}/mesa-demos/\$1.\$2\",g" src/*/*.c
perl -pi -e "s|isosurf.dat|%{_datadir}/mesa-demos/isosurf.dat|" src/*/isosurf.c


%build
LIB_DIR=%{_lib}
INCLUDE_DIR=%{buildroot}/%{_includedir}
export LIB_DIR INCLUDE_DIR DRI_DRIVER_DIR

autoreconf -fvi
%configure2_5x --with-system-data-files --disable-egl
%make

%install
%makeinstall_std

# (fg) So that demos at least work :)
cp -a src/*/*.{frag,vert,geom} %{buildroot}/%{_datadir}/%{name}

# (tv) fix conflict with bitmap:
mv %{buildroot}%{_bindir}/bitmap{,-gl}

# icons for three demos examples [we lack a frontend
# to launch the demos obviously]
install -m 755 -d %{buildroot}%{_miconsdir}
install -m 755 -d %{buildroot}%{_iconsdir}
install -m 755 -d %{buildroot}%{_liconsdir}
tar jxvf %{SOURCE4} -C %{buildroot}%{_iconsdir}


%changelog

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 8.3.0-3
- (a67a442) MassBuild#1169: Increase release tag


